Package org.apache.ignite.internal.util.tostring

## Annotation Type GridToStringOrder

    @Documented
    @Retention(RUNTIME)
    @Target(FIELD)
    public @interface GridToStringOrder

Attach this annotation to a field to provide its order in `toString()` output. By default the order the order is the same as the order of declaration in the class. Fields with smaller order value will come before in `toString()` output. If order is not specified the `Integer.MAX_VALUE` will be used.

### Required Element Summary

Required Elements
`int` `value` Numeric order value.

### Element Detail

#### value

    int value

Numeric order value.